import { ElementRef, DoCheck } from '@angular/core';
import { IgxDropDownBase, IgxDropDownItemBase } from './drop-down.base';
export declare class IgxDropDownItemComponent extends IgxDropDownItemBase implements DoCheck {
    dropDown: IgxDropDownBase;
    protected elementRef: ElementRef;
    /**
     * @hidden
     */
    protected _isSelected: boolean;
    constructor(dropDown: IgxDropDownBase, elementRef: ElementRef);
    /**
     * Sets/Gets if the item is the currently selected one in the dropdown
     *
     * ```typescript
     *  let mySelectedItem = this.dropdown.selectedItem;
     *  let isMyItemSelected = mySelectedItem.isSelected; // true
     * ```
     */
    isSelected: boolean;
    ngDoCheck(): void;
}
