import { ChangeDetectorRef, DoCheck, ElementRef, NgZone, OnInit } from '@angular/core';
import { SortingDirection } from '../data-operations/sorting-expression.interface';
import { GridBaseAPIService } from './api.service';
import { IgxColumnComponent } from './column.component';
import { IgxGridBaseComponent } from './grid-base.component';
import { IgxFilteringService } from './filtering/grid-filtering.service';
import { IgxColumnResizingService } from './grid-column-resizing.service';
/**
 * @hidden
 */
export declare class IgxGridHeaderComponent implements OnInit, DoCheck {
    gridAPI: GridBaseAPIService<IgxGridBaseComponent>;
    colResizingService: IgxColumnResizingService;
    cdr: ChangeDetectorRef;
    elementRef: ElementRef;
    zone: NgZone;
    filteringService: IgxFilteringService;
    column: IgxColumnComponent;
    gridID: string;
    readonly styleClasses: string;
    readonly height: number;
    readonly ascending: boolean;
    readonly descending: boolean;
    readonly sortingIcon: string;
    readonly sorted: boolean;
    readonly dragged: boolean;
    hostRole: string;
    tabindex: number;
    readonly headerID: string;
    protected sortDirection: SortingDirection;
    constructor(gridAPI: GridBaseAPIService<IgxGridBaseComponent>, colResizingService: IgxColumnResizingService, cdr: ChangeDetectorRef, elementRef: ElementRef, zone: NgZone, filteringService: IgxFilteringService);
    ngOnInit(): void;
    ngDoCheck(): void;
    onClick(event: any): void;
    readonly grid: any;
    protected getSortDirection(): void;
}
