import { ElementRef } from '@angular/core';
import { IgxTabsGroupComponent } from './tabs-group.component';
import { IgxTabItemBase, IgxTabsBase } from './tabs.common';
export declare class IgxTabItemComponent implements IgxTabItemBase {
    private _tabs;
    private _element;
    private _nativeTabItem;
    private _changesCount;
    /**
     * Gets the group associated with the tab.
     * ```html
     * const relatedGroup = this.tabbar.tabs.toArray()[1].relatedGroup;
     * ```
     */
    relatedGroup: IgxTabsGroupComponent;
    /**
     * @hidden
     */
    role: string;
    /**
     * @hidden
     */
    tabindex: any;
    /**
     * @hidden
     */
    onClick(event: any): void;
    /**
     * @hidden
     */
    onResize(event: any): void;
    /**
     * @hidden
     */
    onKeydownArrowRight(event: KeyboardEvent): void;
    /**
     * @hidden
     */
    onKeydownArrowLeft(event: KeyboardEvent): void;
    /**
     * @hidden
     */
    onKeydownHome(event: KeyboardEvent): void;
    /**
     * @hidden
     */
    onKeydownEnd(event: KeyboardEvent): void;
    private _onKeyDown;
    /**
     * @hidden
     */
    readonly changesCount: number;
    /**
     * @hidden
     */
    readonly nativeTabItem: ElementRef<any>;
    /**
     * 	Gets whether the tab is disabled.
     * ```
     * const disabledItem = this.myTabComponent.tabs.first.disabled;
     * ```
     */
    readonly disabled: boolean;
    /**
     * Gets whether the tab is selected.
     * ```typescript
     * const selectedItem = this.myTabComponent.tabs.first.isSelected;
     * ```
     */
    readonly isSelected: boolean;
    /**
     * @hidden
     */
    readonly index: number;
    constructor(_tabs: IgxTabsBase, _element: ElementRef);
    /**
     * @hidden
     */
    select(focusDelay?: number): void;
}
